class CreateEtransHistories < ActiveRecord::Migration
  def change
    create_table :etrans_histories do |t|
      t.references :order, index: true
      t.string :M
      t.string :R
      t.string :T
      t.string :A
      t.string :B
      t.string :C
      t.string :D
      t.string :E
      t.string :F
      t.string :G
      t.string :H
      t.string :I
      t.string :J
      t.string :K
      t.string :N
      t.string :O
      t.string :P
      t.string :Q
      t.string :S
      t.string :U
      t.string :W
      t.string :Y
      t.string :Z
      
      
      t.timestamps null: false
    end
    add_foreign_key :etrans_histories, :orders
  end
end
